About FINSEC
Home
FINSECFINSEC

Zimbabwe's regulated marketplace for tokenized real-world assets, powered by blockchain technology.

Platform

  • About Tokenization
  • Participants Hub
  • Blockchain Technology
  • Resources Centre

Explorer

  • Transactions
  • Blocks
  • Assets
  • Network

Resources

  • White Papers
  • Investment Guides
  • Regulatory Notices
  • FAQs

Company

  • About FINSEC ↗
  • API Documentation
  • Privacy Policy
  • Terms of Service

2026 FINSEC Blockchain Explorer. All rights reserved.

Network Active
Block #847,293

API Documentation

Integrate with the FINSEC blockchain using our RESTful API

Get API Key

Register for an API key to authenticate your requests

Make Requests

Use our RESTful endpoints to query blockchain data

JSON Responses

Receive structured JSON data for easy integration

Base URL
https://api.finsec.zw/v1
Quick Start Examples
curl -X GET "https://api.finsec.zw/v1/transactions?limit=10" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
API Endpoints
GET
/api/v1/transactions

List all transactions with pagination

pagelimitassetTypestatus
GET
/api/v1/transactions/:id

Get transaction details by ID

id
GET
/api/v1/assets

List all registered assets

pagelimittypeowner
GET
/api/v1/assets/:id

Get asset details by ID

id
GET
/api/v1/blocks

List recent blocks

pagelimit
GET
/api/v1/blocks/:number

Get block details by number

number
GET
/api/v1/wallets/:address

Get wallet balance and history

address
GET
/api/v1/network/status

Get network health and node status